summaryrefslogtreecommitdiff
path: root/src/rvs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/rvs.sh')
-rw-r--r--src/rvs.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/src/rvs.sh b/src/rvs.sh
new file mode 100644
index 0000000..518f487
--- /dev/null
+++ b/src/rvs.sh
@@ -0,0 +1,52 @@
+#!$$SHELL$$
+# abomination module:rvs
+name='rvs'
+ver='0.5.10'
+usage='COMMAND [OPTIONS]'
+# Copyright (C) 2009 Luke Shumaker
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# Originally written by Luke Shumaker <lukeshu@sbcglobal.net>.
+
+RVSDIR='$$libdir$$'
+source "$RVSDIR/lib/stdio"
+#source "$RVSDIR/lib/rvsdb"
+
+# START OPTION HANDLING #
+com=$1;
+# END OPTION HANDLING #
+case "$com" in
+ -d) echo "$RVSDIR";;
+ '') error 'no command specified';;
+ *)
+ if [ -f "$RVSDIR/$com" ]; then
+ export TMPDIR="$repo/tmp"
+ $RVSDIR/$@
+ else
+ error "unrecognized command \`$com'"
+ fi
+ :;;
+esac
+
+#args=`getopt -n "$name" -o "${sopt}" -l "${lopt}" -- "$@"`
+#if [ $? == 0 ]; then
+# set -- $args
+# while [ $# -gt 0 ]; do
+# case "$1" in
+# -V | --version) mode='version';;
+# -h | -H | -\? | --help) mode='help';;
+#
+# -v | --verbose) volume='-v';;
+# -q | --quiet) volume='-q';;
+#
+# --) shift; break;;
+# esac
+# shift;
+# done
+#else
+# error
+#fi
+